<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>Uses of Class com.here.android.mpa.urbanmobility.Link (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.here.android.mpa.urbanmobility.Link (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/urbanmobility/class-use/Link.html" target="_top">Frames</a></li>
<li><a href="Link.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.here.android.mpa.urbanmobility.Link" class="title">Uses of Class<br>com.here.android.mpa.urbanmobility.Link</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.routing">com.here.android.mpa.routing</a></td>
<td class="colLast">
<div class="block">This
        package provides classes, interfaces, and enumerations for route calculation and
        route description (directions).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.here.android.mpa.urbanmobility">com.here.android.mpa.urbanmobility</a></td>
<td class="colLast">
<div class="block">
    The package urbanmobility provides classes, callbacks, and enumerations that can be used to enable functionality related to public transit such as search for 
    nearby transit stations and requests for departure boards.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.here.android.mpa.routing">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a> in <a href="../../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a> that return types with arguments of type <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">UMCalculateResult.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/routing/UMCalculateResult.html#getOperatorDisclaimers--">getOperatorDisclaimers</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets collection of associated operator disclaimer
 <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility"><code>Link</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.urbanmobility">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a> in <a href="../../../../../../com/here/android/mpa/urbanmobility/package-summary.html">com.here.android.mpa.urbanmobility</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/urbanmobility/package-summary.html">com.here.android.mpa.urbanmobility</a> that return <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a></code></td>
<td class="colLast"><span class="typeNameLabel">Alert.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/urbanmobility/Alert.html#getSource--">getSource</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Get a <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility"><code>Link</code></a> to the original source of this alert
 (Twitter feed, Agency API, RSS etc.).</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/urbanmobility/package-summary.html">com.here.android.mpa.urbanmobility</a> that return types with arguments of type <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Operator.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/urbanmobility/Operator.html#getLinks--">getLinks</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets <code>Link</code>s to operator related resources e.g.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Fare.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/urbanmobility/Fare.html#getLinks--">getLinks</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the collection of <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility"><code>Link</code></a>s associated with this fare e.g.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RouteSection.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/urbanmobility/RouteSection.html#getOperatorDisclaimers--">getOperatorDisclaimers</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets collection of associated operator disclaimer <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility"><code>Link</code></a>s.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DepartureBoard.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/urbanmobility/DepartureBoard.html#getOperatorDisclaimers--">getOperatorDisclaimers</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets collection of associated operator disclaimer <a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility"><code>Link</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/urbanmobility/class-use/Link.html" target="_top">Frames</a></li>
<li><a href="Link.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
